#!/bin/ksh
# ----------------------------------------------------------------------------
# Copyright (C) 2012  Rodrigo de Araujo Jorge
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ----------------------------------------------------------------------------
# Written by Rodrigo Jorge <http://www.dbarj.com.br/>
# Last updated on: Oct/18/2012 by Rodrigo Jorge
# ----------------------------------------------------------------------------

###############################################
###############################################
#########                             #########
#########           WARNING           #########
#########   DO NOT TOUCH THIS FILE    #########
#########                             #########
###############################################
###############################################

###############################################
###############################################
####                                      #####
####     ANY MODIFICATION MUST BE DONE    #####
####     INSIDE "oracle_sid.cfg" FILE     #####
####                                      #####
###############################################
###############################################

export PATH=$PATH:/usr/local/bin:/usr/sbin
WORKDIR=$(cd -P -- "$(dirname -- "$(command -v -- "$0")")" && pwd -P) # Folder of this script
logprefix=exp${1}full_$(date +%Y%m%d_%H%M%S)
$WORKDIR/expfull.sh $1 > $WORKDIR/../log/$logprefix.log 2>&1
ret=$?

if [ $ret -ne 0 ]
then
	mv $WORKDIR/../log/$logprefix.log $WORKDIR/../log/${logprefix}_ERROR.log
fi

find $WORKDIR/../log/ -type f -mtime +90 -exec rm -f {} \; # Remove cron logs older than 3 months

exit $ret
####